« »

Komodo 5.1.1: fixes, path mode in Fast Open dialog, Perl::Critic integration

Thursday, 02 April 2009

We (ActiveState) released Komodo 5.1.1 today. Get it here:

Komodo IDE: http://www.activestate.com/komodo/downloads/
Komodo Edit: http://www.activestate.com/komodo_edit/downloads/

Or, if you are currently running Komodo 5.1.0, click "Help > Check for Updates...". This is a bug fix release and is recommended for all users. See below for details.


Bug fixes

Two important bug fixes in this release are:

  1. Fixed problem in re-generating the variable tabs in the debugger (Komodo IDE) which caused slowdowns and hangs when debugger was run repeatedly. (Bug 82518, bug 82542, bug 82426, bug 82557).

  2. Fixed a bug where closing a tab would switch to the wrong remaining tab causing potential problems, such as the Komodo window titlebar no longer updating properly (bug 82474).

See the Release Notes for a full list of changes.

A couple new features

This release also include two tweaks to existing features that didn't quite make the final 5.1.0 release.

Fast Open dialog

The Komodo 5.1.0 release included the new "Fast Open" dialog. In Komodo 5.1.1 the fast open dialog now has path mode support. This means that you can now use the fast open dialog for opening:

  • an absolute path: /etc/httpd/httpd.conf
  • a relative path (where relative is relative to the directory of every tab you have open in your Komodo window): ../foo.py
  • a path under your HOME directory: ~/wrk/coolstuff.rb

Note that the latter also works on Windows if you manually set a HOME environment variable to whereever you tend to put your files. For example, on Windows XP, I certainly don't use "C:\Documents and Settings\trentm" as my main working directory.

PerlCritic

Perl users of Komodo can now easily get syntax checking results from Perl::Critic -- "a static source code analyzer based (mostly) on Damian Conway's book 'Perl Best Practices.'". To setup you just need the "Perl-Critic" and "criticism" Perl modules installed. With ActivePerl you can do this:

ppm install Perl-Critic
ppm install criticism

Then select the warning level in Komodo's "Perl" preferences panel. This screenshot shows the result of "Brutal" warnings on Gisle Aas's LWP::UserAgent.

Perl::Critic integration in Komodo 5.1.1

Users interested in more in-depth analysis and integration with Perl::Critic should take a look at ActiveState's Perl Dev Kit 8.0.

General information

Komodo IDE 5.1 is a free upgrade for Komodo IDE 5.x license holders. Your license entitles you to run Komodo IDE on any of the platforms we support (Windows, Mac OS X and Linux). Komodo Edit 5.1 is, as ever, open-source and free.

downloadsKomodo IDE | Komodo Edit
forumshttp://community.activestate.com/products/Komodo
emailhttp://listserv.activestate.com/mailman/listinfo/komodo-discuss
bugshttp://bugs.activestate.com/enter_bug.cgi?product=Komodo

Tagged: code.activestate.com, komodo, activestate, mozilla


Comments

blog comments powered by Disqus